Subject: bug#35150: closed (Re: [bug#35150] [PATCH] Unbundle opam dependencies)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 10 Apr 2019 19:50:02 +0000

Your bug report

#35150: [PATCH] Unbundle opam dependencies

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
35150: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=35150
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#35150] [PATCH] Unbundle opam dependencies
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Wed, 10 Apr 2019 21:48:43 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Le Wed, 10 Apr 2019 17:09:08 +0200,
Ludovic Courtès <[email-masked]> a écrit :

> Hello!
> 
> Julien Lepiller <[email-masked]> skribis:
> 
> > This patch series starts with two opam importer related patches: the
> > first one adds some more syntax to our parser, that I encountered
> > when importing opam dependencies. The second one makes the importer
> > smarter and make it choose the dune-build-system when possible.
> >
> > Then the following patches add dependencies, updates one of them
> > (the new version doesn't depend on opam anymore, thanksfully) and
> > the last one changes the source of opam to use an unbundled source
> > (the git repo).  
> 
> Nice work!  I threw a glance at these patches and they LGTM.
> 
> Thank you,
> Ludo’.

Thank you!

pushed as 3e159dd0a46ba785f8a09bd86e6cacb5c1708bc9 -
e9b86fa0f101536f620f1dc50bf414585823a8f6.

Subject: [PATCH] Unbundle opam dependencies
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Thu, 4 Apr 2019 20:54:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

This patch series starts with two opam importer related patches: the
first one adds some more syntax to our parser, that I encountered when
importing opam dependencies. The second one makes the importer smarter
and make it choose the dune-build-system when possible.

Then the following patches add dependencies, updates one of them (the
new version doesn't depend on opam anymore, thanksfully) and the last
one changes the source of opam to use an unbundled source (the git
repo).